LoCMaP - Lo(cal) C(onfiguration) with Ma(sterless) P(uppet)
--------------------------------------------------------------------------------

On SLC5/6 and CC7 we are using lcm - L(ocal) C(onfiguration) M(anager) in order
to preconfigure systems for CERN environment. lcm tool has been implemented
on top of Quattor components. Since Quattor is no more used at CERN and
its components are not maintained anymore a need to provide a new
tool has arisen. 

Current configuration tool of choice in CERN Computer Center is Puppet, and
LoCMaP is implemented using it.

--------------------------------------------------------------------------------
How to test on CC7
--------------------------------------------------------------------------------

On a CERN CentOS 7 system, install repository definition file:

```
# curl -L https://gitlab.cern.ch/linuxsupport/locmap/raw/master/potd7-stable.repo -o /etc/yum.repos.d/potd7-stable.repo
```

Install locmap:

```  
# yum install locmap -y
```
Note: locmap is available on CERN CentOS 7 only and the version
replace already preinstalled lcm tool.


--------------------------------------------------------------------------------
Locmap Usage Examples
--------------------------------------------------------------------------------
**Locmap needs root privileges**  

List all available modules  
```
# locmap --list  
```
Configure all enabled modules  
```
# locmap --configure all  
```  
Configure a specific module  
```
# locmap --configure ssh 
```

Enable/Disable a module  
```
# locmap --enable cvmfs  
# locmap --disable afs
```
*For developers guide, read here* : https://gitlab.cern.ch/linuxsupport/locmap/blob/master/DevREADME.md  
